<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.100.117
Name: A_Rijksvaccinatie [informational/administered]
Description: COCT_RM900916NL02: Gegevens van rijksvaccinaties en andere vaccinaties
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000">
   <title>A_Rijksvaccinatie [informational/administered]</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]"
         id="tmp-r-543564-476889-610484-397481">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']])&gt;=1 and not(hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']] is mandatory [min 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]"
         id="tmp-r-383218-653553-879701-192309">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='SBADM' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string-length(@negationInd)&gt;0 or not(@negationInd)">(A_Rijksvaccinatie-informational-administered): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@negationInd='true') or hl7:authorization">(A_Rijksvaccinatie-informational-administered): als <name/>/@negationInd 'true' is, dan MOET er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@negationInd='true' or not(hl7:authorization)">(A_Rijksvaccinatie-informational-administered): als <name/>/@negationInd 'false' is of afwezig, dan MAG er GEEN er bezwaar zijn in authorization</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consumable)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:consumable komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]])&gt;=1 and not(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:templateId
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:templateId"
         id="tmp-r-408963-747990-439687-607228">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.100.117'">(A_Rijksvaccinatie-informational-administered): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.100.117' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-461111-960497-351228-393523">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-administered): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:effectiveTime
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:effectiveTime"
         id="tmp-r-938690-439230-678842-551299">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="matches(@value,'^[0-9]{8}')">(A_Rijksvaccinatie-informational-administered): 
                        <name path=".."/>/<name/> moet tenminste tot op de dag nauwkeurig worden opgegeven</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable"
         id="tmp-r-780169-774412-152650-564154">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='CSM' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:medication)&gt;=1 and not(hl7:medication/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:medication is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:medication)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:medication komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication"
         id="tmp-r-415280-359618-609066-444275">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='ADMM' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'ADMM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&gt;=1 and not(hl7:administrableMedicine/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:administrableMedicine is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:administrableMedicine)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:administrableMedicine komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication/hl7:administrableMedicine
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication/hl7:administrableMedicine"
         id="tmp-r-254595-740517-830093-211146">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(hl7:lotNumberText and ../../../hl7:authorization)">(A_Rijksvaccinatie-informational-administered): lotNumberText KAN GEEN waarde bevatten, als er sprake is van bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="hl7:lotNumberText or ../../../hl7:authorization">(A_Rijksvaccinatie-informational-administered): lotNumberText MOET een waarde bevatten, voor vaccinaties zonder bezwaar</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'])&gt;=1 ">(A_Rijksvaccinatie-informational-administered): element hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:lotNumberText)&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:lotNumberText komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76']
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:code[@nullFlavor or @codeSystem='2.16.840.1.113883.2.4.4.40.76']"
         id="tmp-r-782249-343098-521842-790640">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.422-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-administered): de waarde van @code MOET worden gekozen uit waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-administered): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0422_HL7 W0422 Soort vaccinatie (HL7) (DYNAMISCH).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:consumable/hl7:medication/hl7:administrableMedicine/hl7:lotNumberText"
         id="tmp-r-991309-566670-794031-159607">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]
Item: (A_Rijksvaccinatie-informational-administered)
-->
   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:performer[hl7:assignedEntity[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.124']]]"
         id="tmp-r-319726-700596-589259-858379">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='PRF' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'PRF' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]"
         id="tmp-r-620456-509396-207781-973949">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='AUTH' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'AUTH' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@contextConductionInd)='false' or not(@contextConductionInd)">(A_Rijksvaccinatie-informational-administered): de waarde van @contextConductionInd MOET 'false' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])&gt;=1 and not(hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent"
         id="tmp-r-605028-427558-756906-213181">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='CONS' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'CONS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@negationInd)='true'">(A_Rijksvaccinatie-informational-administered): de waarde van @negationInd MOET 'true' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-119961-125572-348495-218454">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or (@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')">(A_Rijksvaccinatie-informational-administered): de elementwaarde MOET zijn code 'IMMUNIZ' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]"
         id="tmp-r-305897-294939-518668-452238">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@typeCode)='RSON' or not(@typeCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @typeCode MOET 'RSON' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&gt;=1 and not(hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent"
         id="tmp-r-342878-238874-716856-934945">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(A_Rijksvaccinatie-informational-administered): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&gt;=1 and not(hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]/@nullFlavor)">(A_Rijksvaccinatie-informational-administered): element hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'])&gt;=1 ">(A_Rijksvaccinatie-informational-administered): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="count(hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'])&lt;=1">(A_Rijksvaccinatie-informational-administered): element hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH'] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]"
         id="tmp-r-511890-403781-718211-688990">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or (@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')">(A_Rijksvaccinatie-informational-administered): de elementwaarde MOET zijn code '683' codeSystem '2.16.840.1.113883.2.4.4.40.267'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.100.117
Context: *[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH']
Item: (A_Rijksvaccinatie-informational-administered)
-->

   <rule context="*[hl7:substanceAdministrationEvent[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:substanceAdministrationEvent[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.100.117']]/hl7:authorization[hl7:consentEvent[hl7:code[(@code='IMMUNIZ' and @codeSystem='2.16.840.1.113883.5.4')]]]/hl7:consentEvent/hl7:reasonOf[hl7:observationEvent[hl7:code[(@code='683' and @codeSystem='2.16.840.1.113883.2.4.4.40.267')]]]/hl7:observationEvent/hl7:value[(@code='1' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or (@code='2' and @codeSystem='2.16.840.1.113883.2.4.4.40.394') or @nullFlavor='OTH']"
         id="tmp-r-266693-221508-449998-725648">
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(A_Rijksvaccinatie-informational-administered): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.11.60.100.11.2.323-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(A_Rijksvaccinatie-informational-administered): de waarde van @code MOET worden gekozen uit waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH). NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(A_Rijksvaccinatie-informational-administered): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst W0323_HL7 W0323 Bezwaar (HL7) (DYNAMISCH).</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/jeugdgezondheidszorg/jgz-html-20130919T110002/tmp-2.16.840.1.113883.2.4.6.10.100.117-2012-08-01T000000.html"
              test="not(@nullFlavor or hl7:originalText)">(A_Rijksvaccinatie-informational-administered): Uit privacyoverwegingen is het doorgeven van een bezwaarreden, anders dan "Medisch" of "Principieel", NIET toegestaan.</assert>
   </rule>
</pattern>
